Skip to main content
GET
/
execution
/
buy
/
quote
/
v1
Get a buy quote
curl --request GET \
  --url https://api.collectpure.com/execution/buy/quote/v1 \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "quoteId": "<string>",
    "currency": "<string>",
    "expiresAt": "<string>",
    "refreshedAt": "<string>",
    "lineItems": [
      {
        "id": "<string>",
        "quantity": 123,
        "price": 123,
        "status": "<string>",
        "disabled": true,
        "error": "<string>",
        "product": {
          "sku": "<string>",
          "title": "<string>"
        },
        "variant": {
          "title": "<string>"
        }
      }
    ],
    "fees": [
      {
        "id": "<string>",
        "label": "<string>",
        "amount": 123,
        "rate": 123
      }
    ],
    "salesTax": 123,
    "subtotal": 123,
    "total": 123,
    "availableCount": 123,
    "unavailableCount": 123
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

quoteId
string
required

The quote ID to retrieve

Response

200 - application/json

Default Response

success
enum<boolean>
required
Available options:
true
data
object
required